Package ru.bitel.oss.kernel.entity.common.bean

# Class EntitySpec

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.oss.kernel.entity.common.bean.EntitySpec

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

Direct Known Subclasses:
  `ContractObjectType`, `ContractParameterGroup`

public class EntitySpec extends IdTitle
Сущность/Тип объекта/Группа параметров ObjectType

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EntitySpec()`
  `EntitySpec(String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `createEntityTitle(int entityId, String title, EntitySpec spec, Map<Integer,EntityAttr> attributes)`
  `String`
  `createEntityTitle(Entity entity)`
  `List<? extends AbstractSpecAttr>`
  `getAttributeList()`
  `String`
  `getComment()`
  `int`
  `getEntitySpecTypeId()`
  `String`
  `getEntityTitleMacros()`
  `Set<Integer>`
  `getModuleIds()`
  `boolean`
  `isHidden()`
  `EntitySpec`
  `setAttributeList(List<? extends AbstractSpecAttr> attributes)`
  `EntitySpec`
  `setComment(String comment)`
  `EntitySpec`
  `setEntitySpecTypeId(int entitySpecTypeId)`
  `EntitySpec`
  `setEntityTitleMacros(String entityTitleMakros)`
  `EntitySpec`
  `setHidden(boolean hidden)`
  `EntitySpec`
  `setId(int id)`
  Устанавливает id объекта
  `EntitySpec`
  `setModuleIds(Set<Integer> moduleIds)`
  `EntitySpec`
  `setTitle(String title)`
  Устанавливает название (описание) объекта
  `EntitySpecDTO`
  `toEntitySpecDTO()`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### EntitySpec

    public EntitySpec()

  - ### EntitySpec

    public EntitySpec(String title)

- ## Method Details

  - ### getModuleIds

    public Set<Integer> getModuleIds()

  - ### getEntitySpecTypeId

    public int getEntitySpecTypeId()

  - ### getEntityTitleMacros

    public String getEntityTitleMacros()

  - ### getComment

    public String getComment()

  - ### isHidden

    public boolean isHidden()

  - ### getAttributeList

    public List<? extends AbstractSpecAttr> getAttributeList()

  - ### setHidden

    public EntitySpec setHidden(boolean hidden)

  - ### setModuleIds

    public EntitySpec setModuleIds(Set<Integer> moduleIds)

  - ### setEntitySpecTypeId

    public EntitySpec setEntitySpecTypeId(int entitySpecTypeId)

  - ### setEntityTitleMacros

    public EntitySpec setEntityTitleMacros(String entityTitleMakros)

  - ### setComment

    public EntitySpec setComment(String comment)

  - ### setAttributeList

    public EntitySpec setAttributeList(List<? extends AbstractSpecAttr> attributes)

  - ### createEntityTitle

    public String createEntityTitle(Entity entity)

  - ### toEntitySpecDTO

    public EntitySpecDTO toEntitySpecDTO()

  - ### createEntityTitle

    public static String createEntityTitle(int entityId, String title, EntitySpec spec, Map<Integer,EntityAttr> attributes)

  - ### setId

    public EntitySpec setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public EntitySpec setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`